/**************************************************************************
	Description: Функции для приёма и выдачи параметров.

	Автор: Улитовский Д.И.
	Дата последнего обновления: 2021.11.08
**************************************************************************/

#include "param.h"

int Unites[UNIT_QUA_UNITS][UNIT_LEN];
int CAN_timeout[UNIT_QUA];
RS_DATA_STRUCT rs_a = RS_DATA_STRUCT_DEFAULT, rs_b = RS_DATA_STRUCT_DEFAULT;

// Изменяет значение параметра
void readInputParameters(const real_T *u) {
	int nn = 0;

	iq_norm_ADC[0][0] = _IQ(u[nn++]/NORMA_ACP);
	iq_norm_ADC[0][1] = _IQ(u[nn++]/NORMA_ACP);
	iq_norm_ADC[0][2] = _IQ(u[nn++]/NORMA_ACP);
	iq_norm_ADC[0][3] = _IQ(u[nn++]/NORMA_ACP);
	iq_norm_ADC[0][4] = _IQ(u[nn++]/NORMA_ACP);
	iq_norm_ADC[0][5] = _IQ(u[nn++]/NORMA_ACP);
	iq_norm_ADC[0][6] = _IQ(u[nn++]/NORMA_ACP);
	iq_norm_ADC[0][7] = _IQ(u[nn++]/NORMA_ACP);

	WRotor.iqWRotorSumFilter = _IQ(u[nn++] / PI2 / NORMA_FROTOR);

	u[nn++];

	edrk.Go = u[nn++];

	u[nn++];

	edrk.Mode_ScalarVectorUFConst = ALG_MODE_FOC_OBOROTS;

	edrk.zadanie.iq_power_zad_rmp = _IQ(u[nn++]);
	edrk.zadanie.iq_oborots_zad_hz_rmp = _IQ(u[nn++]);

	edrk.MasterSlave = MODE_MASTER;
	edrk.master_theta;
	edrk.master_Iq;
	edrk.iq_power_kw_another_bs;
	edrk.tetta_to_slave;
	edrk.Iq_to_slave;
	edrk.P_to_master;

	uf_alg.winding_displacement_bs1;
} //void input_param(unsigned short num, unsigned short val)


void writeOutputParameters(real_T* xD) {
}